# module ActionView::TestCase::Behavior::Locals

### Attributes

locals[RW]

### Public Instance Methods

render(options = {}, local_assigns = {}) click to toggle source
Calls superclass method

    # File lib/action_view/test_case.rb, line 158
    def render(options = {}, local_assigns = {})
      case options
      when Hash
        if block_given?
          locals[options[:layout]] = options[:locals]
        elsif options.key?(:partial)
          locals[options[:partial]] = options[:locals]
        end
      else
        locals[options] = local_assigns
      end

      super
    end